IsAnything (JavaHamcrest 2.0.0.0 API)
Date: 2015-01-18

org.hamcrest.core

## Class IsAnything<T>

- java.lang.Object
- - org.hamcrest.BaseMatcher<T>
  - - org.hamcrest.core.IsAnything<T>

- All Implemented Interfaces:
    Matcher<T>, SelfDescribing

      public class IsAnything<T>
      extends BaseMatcher<T>

  A matcher that always returns `true`.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `IsAnything()`
    `IsAnything(java.lang.String message)`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static Matcher<java.lang.Object>` | `anything()` Creates a matcher that always matches, regardless of the examined object.
    `static Matcher<java.lang.Object>` | `anything(java.lang.String description)` Creates a matcher that always matches, regardless of the examined object, but describes itself with the specified `String`.
    `void` | `describeTo(Description description)` Generates a description of the object.
    `boolean` | `matches(java.lang.Object o)` Evaluates the matcher for argument item.

    - ### Methods inherited from class org.hamcrest.BaseMatcher

      `_dont_implement_Matcher___instead_extend_BaseMatcher_, describeMismatch, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### IsAnything

          public IsAnything()

    - #### IsAnything

          public IsAnything(java.lang.String message)

  - ### Method Detail

    - #### matches

          public boolean matches(java.lang.Object o)

      Description copied from interface: `Matcher`
      Evaluates the matcher for argument item. This method matches against Object, instead of the generic type T. This is because the caller of the Matcher does not know at runtime what the type is (because of type erasure with Java generics). It is down to the implementations to check the correct type.
      Parameters:
        `o` - the object against which the matcher is evaluated.
      Returns:
        `true` if item matches, otherwise `false`.
      See Also:
        `BaseMatcher`

    - #### describeTo

          public void describeTo(Description description)

      Description copied from interface: `SelfDescribing`
      Generates a description of the object. The description may be part of a a description of a larger object of which this is just a component, so it should be worded appropriately.
      Parameters:
        `description` - The description to be built or appended to.

    - #### anything

          public static Matcher<java.lang.Object> anything()

      Creates a matcher that always matches, regardless of the examined object.

    - #### anything

          public static Matcher<java.lang.Object> anything(java.lang.String description)

      Creates a matcher that always matches, regardless of the examined object, but describes itself with the specified `String`.
      Parameters:
        `description` - a meaningful `String` used when describing itself